Index: trunk/lib/PEdit.inc.php
===================================================================
--- trunk/lib/PEdit.inc.php	(revision 97)
+++ trunk/lib/PEdit.inc.php	(revision 98)
@@ -211,23 +211,23 @@
             return false;
         }
-        ?>        
-        <form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" id="sc-pedit-form">
-        <input type="hidden" name="filename" value="<?php echo $_SERVER['PHP_SELF']; ?>" />
-        <input type="hidden" name="file_hash" value="<?php echo $this->_fileHash(); ?>" />
-        <?php
+?>        
+<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post" id="sc-pedit-form">
+    <input type="hidden" name="filename" value="<?php echo $_SERVER['PHP_SELF']; ?>" />
+    <input type="hidden" name="file_hash" value="<?php echo $this->_fileHash(); ?>" />
+<?php
         App::printHiddenSession();
         switch ($this->op) {
         case 'Edit' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Save"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Save"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Search"))?>" accesskey="<?php echo substr(_("Save"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+<?php
             break;
         case 'View' :
-            ?>
-            <input type="hidden" name="version" value="<?php echo getFormData('version'); ?>" />
-            <?php
+?>
+    <input type="hidden" name="version" value="<?php echo getFormData('version'); ?>" />
+<?php
             break;
         }
@@ -259,5 +259,8 @@
     function printForm($name, $type='text')
     {
-        if ($this->_authorized && $this->op == 'Edit' && $this->_data_loaded) {
+        if ($this->_authorized && $this->op == 'Edit' && $this->_data_loaded) {        
+?>
+    <div class="sc-pedit-item">
+<?php
             $type = (isset($this->_data[$name]['type'])) ? $this->_data[$name]['type'] : $type;
             // Print edit form.
@@ -265,10 +268,19 @@
             case 'text' :
             default :
-                ?><br /><label><?php echo ucfirst(str_replace('_', ' ', $name)); ?> <input type="text" name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>" value="<?php echo oTxt($this->_data[$name]['content']); ?>" /></label><?php
+?>
+        <label><?php echo ucfirst(str_replace('_', ' ', $name)); ?></label>
+        <input type="text" name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>" value="<?php echo oTxt($this->_data[$name]['content']); ?>" class="full" />
+<?php
                 break;
             case 'textarea' :
-                ?><br /><label><?php echo ucfirst(str_replace('_', ' ', $name)); ?> <textarea name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>"><?php echo oTxt($this->_data[$name]['content']); ?></textarea></label><?php
+?>
+        <label><?php echo ucfirst(str_replace('_', ' ', $name)); ?></label>
+        <textarea name="_pedit_data[<?php echo $name; ?>]" id="sc-pedit-<?php echo $name; ?>" rows="" cols="" class="full tall"><?php echo oTxt($this->_data[$name]['content']); ?></textarea>
+<?php
                 break;
             }
+?>
+    </div>
+<?php
         }
     }
@@ -288,36 +300,38 @@
         switch ($this->op) {
         case 'Edit' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Save"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            </form>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Save"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Save"))?>" accesskey="<?php echo substr(_("Save"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
             break;
         case 'Versions' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            </form>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
             break;
         case 'View' :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Restore"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" />
-            </div>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Restore"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Restore"))?>" accesskey="<?php echo substr(_("Restore"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Versions"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Versions"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Cancel"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Cancel"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
             break;
         default :
-            ?>
-            <div class="sc-pedit-buttons">
-                <input type="submit" name="op" value="<?php echo _("Edit"); ?>" />
-                <input type="submit" name="op" value="<?php echo _("Versions"); ?>" />
-            </div>
-            </form>
-            <?php
+?>
+    <div class="sc-pedit-buttons">
+        <input type="submit" name="op" value="<?php echo _("Edit"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Edit"))?>" accesskey="<?php echo substr(_("Edit"), 0, 1) ?>" />
+        <input type="submit" name="op" value="<?php echo _("Versions"); ?>" title="<?php echo preg_replace('/^(\w)/i', '($1)', _("Cancel"))?>" accesskey="<?php echo substr(_("Versions"), 0, 1) ?>" />
+    </div>
+</form>
+<?php
         }
     }
@@ -334,19 +348,31 @@
             // Print versions and commands to view/restore.
             $version_files = $this->_getVersions();
-            ?><h1><?php printf(_("%s saved versions of %s"), sizeof($version_files), basename($_SERVER['PHP_SELF'])); ?></h1><?php
+?>
+    <h1><?php printf(_("%s saved versions of %s"), sizeof($version_files), basename($_SERVER['PHP_SELF'])); ?></h1>
+<?php
             if (is_array($version_files) && !empty($version_files)) {
-                ?><table id="sc-pedit-versions"><?php
+?>
+    <table id="sc-pedit-versions-table">
+        <tr>
+            <th><?php echo _("Date"); ?></th>
+            <th><?php echo _("Time"); ?></th>
+            <th><?php echo _("File Size"); ?></th>
+            <th><?php echo _("Version Options"); ?></th>
+        </tr>
+<?php
                 foreach ($version_files as $v) {
-                    ?>
-                    <tr>
-                        <td><?php echo date('r', $v['unixtime']); ?></td>
-                        <td><?php printf(_("%s bytes"), $v['filesize']); ?></td>
-                        <td><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=View&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("View"); ?></a></td>
-                        <td><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=Restore&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("Restore"); ?></a></td>
-                    </tr>
-                    <?php
+?>
+        <tr>
+            <td><?php echo date('F j, Y', $v['unixtime']); ?></td>
+            <td><?php echo date('h:i:s A', $v['unixtime']); ?></td>
+            <td><?php printf(_("%s bytes"), $v['filesize']); ?></td>
+            <td class="nowrap"><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=View&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("View"); ?></a> or <a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=Restore&version=' . $v['unixtime'] . '&file_hash=' . $this->_fileHash()); ?>"><?php echo _("Restore"); ?></a></td>
+        </tr>
+<?php
                 }
-                ?></table><?php
-            ?><div class="help"><?php printf(_("When there are more than %s versions, those over %s days old are deleted."), $this->getParam('versions_min_qty'), $this->getParam('versions_min_qty')); ?></div><?php
+?>
+    </table>
+    <div class="help"><?php printf(_("When there are more than %s versions, those over %s days old are deleted."), $this->getParam('versions_min_qty'), $this->getParam('versions_min_qty')); ?></div>
+<?php
             }
         }
